/**
 * @license
 * Copyright Alibaba.com All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/LICENSE
 */
import { Overlay } from '@angular/cdk/overlay';
import { Injector, TemplateRef } from '@angular/core';
import { NzSingletonService } from 'ng-zorro-antd/core';
import { NzMessageContainerComponent } from './message-container.component';
import { NzMessageData, NzMessageDataFilled, NzMessageDataOptions } from './typings';
import * as i0 from "@angular/core";
export declare class NzMessageService {
    private nzSingletonService;
    private overlay;
    private injector;
    private name;
    protected container: NzMessageContainerComponent;
    constructor(nzSingletonService: NzSingletonService, overlay: Overlay, injector: Injector);
    success(content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    error(content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    info(content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    warning(content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    loading(content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    create(type: 'success' | 'info' | 'warning' | 'error' | 'loading' | string, content: string | TemplateRef<void>, options?: NzMessageDataOptions): NzMessageDataFilled;
    remove(messageId?: string): void;
    createMessage(message: NzMessageData, options?: NzMessageDataOptions): NzMessageDataFilled;
    protected generateMessageId(): string;
    private withContainer;
    static ɵfac: i0.ɵɵFactoryDef<NzMessageService>;
    static ɵprov: i0.ɵɵInjectableDef<NzMessageService>;
}
